<?php 
class EVSubmit extends AppEvento{
	
	
	
	public function __construct($evento){
		
		
		parent::__construct($evento);
	}
	
	public function renderEvento(){

		$clave = spl_object_hash($this);
		
		$script = '
	

	var timeOutEvento'.$clave.' = null;
	
	function lanzaEvento'.$clave.'(){
		timeOutEvento'.$clave.' = null;
		$("'. $this->padre->identificadorScript() .'").parentsUntil(\'form\').parent().find("input[type=\'submit\']").click();
		
	}
				
	$("'. $this->padre->identificadorScript() .'").'.$this->disparador.'(function(){
		if(timeOutEvento'.$clave.' != null) clearTimeout(timeOutEvento'.$clave.');  
		timeOutEvento'.$clave.' =setTimeout(lanzaEvento'.$clave.',500);
				
		
				
	});';
		
		return $script;
	}
	
	
} 